package com.neusoft.smart.pos.ota.persistent.mapper;

import com.neusoft.smart.pos.ota.persistent.domain.UpgradeStrategy;
import com.neusoft.smart.pos.ota.persistent.domain.UpgradeStrategyExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UpgradeStrategyMapper {
	
	int countByExample(UpgradeStrategyExample example);
	
	int deleteByExample(UpgradeStrategyExample example);
	
	int deleteByPrimaryKey(Integer id);
	
	int insert(UpgradeStrategy record);
	
	int insertSelective(UpgradeStrategy record);
	
	List<UpgradeStrategy> selectByExample(UpgradeStrategyExample example);
	
	UpgradeStrategy selectByPrimaryKey(Integer id);
	
	int updateByExampleSelective(@Param("record") UpgradeStrategy record, @Param("example") UpgradeStrategyExample example);
	
	int updateByExample(@Param("record") UpgradeStrategy record, @Param("example") UpgradeStrategyExample example);
	
	int updateByPrimaryKeySelective(UpgradeStrategy record);
	
	int updateByPrimaryKey(UpgradeStrategy record);
	
	void batchInsert(@Param("items") List<UpgradeStrategy> items);
}